> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Categorize Status

> Retrieves the status and results of a video categorization job.



## OpenAPI

````yaml api-reference/openapi.json get /media/categories/{job_id}
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /media/categories/{job_id}:
    get:
      tags:
        - Vision
      summary: Get Categorize Status
      description: Retrieves the status and results of a video categorization job.
      operationId: getMediaCategoriesStatus
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The unique identifier of the video processing job.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  job_id:
                    type: string
                    format: uuid
                    description: The unique identifier of the video processing job.
                  status:
                    type: string
                    enum:
                      - CREATED
                      - PROCESSING
                      - COMPLETED
                      - FAILED
                    description: The current status of the video processing job.
                  percent_complete:
                    type: number
                    format: float
                    description: The percentage of completion for the video processing job.
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        timestamp:
                          type: string
                          description: >-
                            The timestamp in the video where the categories
                            apply.
                        categories:
                          type: array
                          items:
                            type: string
                          description: >-
                            An array of categories generated for the specific
                            timestamp in the video.
                    description: >-
                      An array of results containing categories for different
                      timestamps in the video.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````